HP LaserJet M1217nfw MFP only prints blanks [Solved]

Forum rules
Before you post please read this
Post Reply
mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

HP LaserJet M1217nfw MFP only prints blanks [Solved]

Post by mmcmonster » Fri Sep 07, 2018 9:29 pm

My HP LaserJet M1217 (combination laser printer, scanner, fax machine) has been working with Linux Mint for years.

I recently had a slew of problems with my LinuxMint install and initially did a clean install of LinuxMint19. The printer would not print at all. So I wiped my / and did a clean install of LinuxMint 18.3, downloaded all the updates, and installed hplip-3.18.7 from the HP website.

The scanner works fine. The printer now only prints blank pages (I tried printing Libreoffice documents as well as PDFs).

Code: Select all

$ hp-check
Saving output in log file: /home/karthik/hp-check.log

HP Linux Imaging and Printing System (ver. 3.18.7)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 GNU/Linux
 Host: den
 Proc: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 GNU/Linux
 Distribution: 22 18.3
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.18.7
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for linuxmint distro  18.3 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.18.7

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.18.7
html=/usr/share/doc/hplip-3.18.7
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.7
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.18.7



Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
latest_available_version = 3.17.10

[installation]
date_time = 09/07/2018 21:18:05
version = 3.18.7


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
 pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.11.4          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.23            OK         -
 python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.12          OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.1.3           OK         -
 python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
 cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
 reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
 pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.4          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.1.3           OK         -
 python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.12          OK         -
 python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               1.0.25          OK         -

----------------------
| Scan Configuration |
----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.18.7          OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.18.7          OK         'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.18            OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.25          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.1.3           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.17.1          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.10.6          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.32          OK         -

---------------------
| Python Extentions |
---------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.18.7          OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.18.7          OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a' is a Hewlett-Packard HP_LaserJet_Professional_M1217nfw_MFP all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model                           
  --------------------------------  --------------------------------
  hp:/usb/HP_LaserJet_Professional  HP LaserJet Professional        
  _M1217nfw_MFP?serial=000000000T2  M1217nfw MFP                    
  03MM0PR1a                                                         

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP-LaserJet-Professional-M1217nfw-MFP
-------------------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a
PPD: /etc/cups/ppd/HP-LaserJet-Professional-M1217nfw-MFP.ppd
warning: Failed to read /etc/cups/ppd/HP-LaserJet-Professional-M1217nfw-MFP.ppd ppd file
PPD Description: 
Printer status: printer HP-LaserJet-Professional-M1217nfw-MFP is idle.  enabled since Fri 07 Sep 2018 09:08:27 PM EDT
Required plug-in status: Installed
Communication status: Good

HP-LaserJet-Professional-M1217nfw-MFP-Fax-3
-------------------------------------------
Type: Fax
Device URI: hpfax:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a
PPD: /etc/cups/ppd/HP-LaserJet-Professional-M1217nfw-MFP-Fax-3.ppd
warning: Failed to read /etc/cups/ppd/HP-LaserJet-Professional-M1217nfw-MFP-Fax-3.ppd ppd file
PPD Description: 
Printer status: printer HP-LaserJet-Professional-M1217nfw-MFP-Fax-3 is idle.  enabled since Fri 07 Sep 2018 09:08:27 PM EDT
Required plug-in status: Installed
Communication status: Good

HP_LaserJet_Professional_M1217nfw_MFP
-------------------------------------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a
PPD: /etc/cups/ppd/HP_LaserJet_Professional_M1217nfw_MFP.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_Professional_M1217nfw_MFP.ppd ppd file
PPD Description: 
Printer status: printer HP_LaserJet_Professional_M1217nfw_MFP is idle.  enabled since Frready to print09:16:42 PM EDT
Required plug-in status: Installed
Communication status: Good


--------------
| PERMISSION |
--------------

USB             HP-LaserJet-Professional-M1217nfw-MFP Required        -        -        OK       Node:'/dev/bus/usb/001/010' Perm:'  root  lp rw- rw- rw- rw- rw- r--'
No errors or warnings.

Done.
This is the output of hp-check. After running that command, I ran hp-setup and added the printer again with no change.

Any ideas? The printer was working fine just a few weeks ago. :(
Last edited by mmcmonster on Sat Sep 22, 2018 9:41 pm, edited 1 time in total.

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

LaserJet M1217nfw needs a plugin

Post by pdc_2 » Sat Sep 08, 2018 12:22 am

Any ideas?
I wondered did you see where hp-check reported to you the missing things that it found:
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version
On the HP website, they list which version of hplip each device needs; as a minimum to work; and whether it needs a plug-in

HP say your machine needs a plug-in so you can either type

Code: Select all

hp-setup
or

Code: Select all

hp-plugin
and as HP tell it, either should get the plugin and install it; (the first command should set up a working icon in your PRINTERS folder);

I don't know if it will create a new and duplicate one; to what is already there; so you might need to watch that; maybe delete any HP icons in your PRINTERS folder before running whichever command you wish

HP say you only need 3.10 of hplip so the one in Mint 18 would have been fine
1217.png
.................................... ........................................................................ The REQUIRED in the column means needs plug-in

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: LaserJet M1217nfw needs a plugin

Post by mmcmonster » Sat Sep 08, 2018 6:15 am

pdc_2 wrote:
Sat Sep 08, 2018 12:22 am
I wondered did you see where hp-check reported to you the missing things that it found:
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version
I thought that the following lines were just telling me the status types, not that there was a missing plugin
Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version
In each printer definition section it says that the required plugin is installed and that the communication is good.

Regardless, I ran hp-plugin again and re-installed the plugin with no change.

For good measure, I made the .ppd files readable to everyone:

Code: Select all

/etc/cups/ppd $ ls -l
total 64
-rw-r----- 1 root lp 11118 Sep  7 21:19 HP_LaserJet.ppd
-rw-r----- 1 root lp  2637 Sep  7 20:36 HP-LaserJet-Professional-M1217nfw-MFP-Fax-3.ppd
-rw-r----- 1 root lp 11118 Sep  7 20:39 HP_LaserJet_Professional_M1217nfw_MFP.ppd
-rw-r----- 1 root lp 11124 Sep  7 20:36 HP-LaserJet-Professional-M1217nfw-MFP.ppd
-rw-r----- 1 root lp 20956 Sep  7 20:46 PDF.ppd
/etc/cups/ppd $ sudo chmod a+r *
[sudo] password for karthik: 
/etc/cups/ppd $ ls -l
total 64
-rw-r--r-- 1 root lp 11118 Sep  7 21:19 HP_LaserJet.ppd
-rw-r--r-- 1 root lp  2637 Sep  7 20:36 HP-LaserJet-Professional-M1217nfw-MFP-Fax-3.ppd
-rw-r--r-- 1 root lp 11118 Sep  7 20:39 HP_LaserJet_Professional_M1217nfw_MFP.ppd
-rw-r--r-- 1 root lp 11124 Sep  7 20:36 HP-LaserJet-Professional-M1217nfw-MFP.ppd
-rw-r--r-- 1 root lp 20956 Sep  7 20:46 PDF.ppd
/etc/cups/ppd $ 
Still prints only blank pages.

What else to check?

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by pdc_2 » Sat Sep 08, 2018 2:57 pm

so it has enough toner? ... it went suddenly from printing well to blank?

what about run

Code: Select all

hp-check
again; and as before if you give us that printout

Ubuntu do a wiki on printing problems; https://wiki.ubuntu.com/DebuggingPrintingProblems

but that doesn't seem to really apply to this case

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by mmcmonster » Sat Sep 08, 2018 3:03 pm

pdc_2 wrote:
Sat Sep 08, 2018 2:57 pm
so it has enough toner? ... it went suddenly from printing well to blank?

what about run

Code: Select all

hp-check
again; and as before if you give us that printout
Yes. It went from black to blank. No gray pages in between. It just stopped working. We don't print much (10 pages a month?).

Code: Select all

$ hp-check
Saving output in log file: /home/karthik/hp-check.log

HP Linux Imaging and Printing System (ver. 3.18.7)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

 
---------------
| SYSTEM INFO |
---------------

 Kernel: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 GNU/Linux
 Host: den
 Proc: 4.10.0-38-generic #42~16.04.1-Ubuntu SMP Tue Oct 10 16:32:20 UTC 2017 GNU/Linux
 Distribution: 22 18.3
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.18.7
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for linuxmint distro  18.3 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.18.7

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.18.7
html=/usr/share/doc/hplip-3.18.7
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.18.7
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no


Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.18.7



Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
latest_available_version = 3.17.10
notify_upgrade = false
last_upgraded_time = 1536406914
pending_upgrade_time = 0

[installation]
date_time = 09/08/2018 15:00:40
version = 3.18.7

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a"
printer_name = HP_LaserJet
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list = 

[fax]
voice_phone = 
email_address = 


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

--------------
| COMPILEDEP |
--------------

 gcc                  gcc - GNU Project C and C++ Compiler                         REQUIRED        -               5.4.0           OK         -
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -
 libtool              libtool - Library building support services                  REQUIRED        -               2.4.6           OK         -

------------------------
| General Dependencies |
------------------------

 libcrypto            libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.0.2           OK         -
 python-xml           Python XML libraries                                         REQUIRED        -               2.1.0           OK         -
 libnetsnmp-devel     libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           5.7.3           OK         -
 sane-devel           SANE - Scanning library development files                    REQUIRED        -               1.0.25          OK         -
 pil                  PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 pyqt4-dbus           PyQt 4 DBus - DBus Support for PyQt4                         REQUIRED        4.0             4.11.4          OK         -
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               2.23            OK         -
 python-devel         Python devel - Python development files                      REQUIRED        2.2             2.7.12          OK         -
 cups-devel           CUPS devel- Common Unix Printing System development files    REQUIRED        -               2.1.3           OK         -
 python-dbus          Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.0           OK         -
 cups-ddk             CUPS DDK - CUPS driver development kit                       OPTIONAL        -               -               OK         -
 reportlab            Reportlab - PDF library for Python                           OPTIONAL        2.0             3.3.0           OK         -
 pyqt4                PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             4.11.4          OK         -
 libusb               libusb - USB library                                         REQUIRED        -               1.0             OK         -
 cups-image           CUPS image - CUPS image development files                    REQUIRED        -               2.1.3           OK         -
 python2X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             2.7.12          OK         -
 python-notify        Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               OK         -
 libjpeg              libjpeg - JPEG library                                       REQUIRED        -               -               OK         -
 sane                 SANE - Scanning library                                      REQUIRED        -               1.0.25          OK         -

----------------------
| Scan Configuration |
----------------------

 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.18.7          OK         -
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.18.7          OK         'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.18            OK         -
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.25          OK         -
 cups                 CUPS - Common Unix Printing System                           REQUIRED        1.1             2.1.3           OK         'CUPS Scheduler is running'
 network              network -wget                                                OPTIONAL        -               1.17.1          OK         -
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 xsane                xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             0.999           OK         -
 dbus                 DBus - Message bus system                                    REQUIRED        -               1.10.6          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.6.32          OK         -

---------------------
| Python Extentions |
---------------------

 hpmudext             IO-Extension                                                 REQUIRED        -               3.18.7          OK         -
 cupsext              CUPS-Extension                                               REQUIRED        -               3.18.7          OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a' is a Hewlett-Packard HP_LaserJet_Professional_M1217nfw_MFP all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                        Model                           
  --------------------------------  --------------------------------
  hp:/usb/HP_LaserJet_Professional  HP LaserJet Professional        
  _M1217nfw_MFP?serial=000000000T2  M1217nfw MFP                    
  03MM0PR1a                                                         

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP_LaserJet
-----------
Type: Printer
Device URI: hp:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a
PPD: /etc/cups/ppd/HP_LaserJet.ppd
PPD Description: HP LaserJet Professional m1217nfw MFP, hpcups 3.16.3, requires proprietary plugin
Printer status: printer HP_LaserJet is idle.  enabled since Sat 08 Sep 2018 02:16:01 PM ready to print
Required plug-in status: Installed
Communication status: Good


--------------
| PERMISSION |
--------------

USB             HP_LaserJet                    Required        -        -        OK       Node:'/dev/bus/usb/001/008' Perm:'  root  lp rw- rw- rw- rw- rw- r--'
No errors or warnings.

Done.
$

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by mmcmonster » Sun Sep 09, 2018 6:53 am

As an update: Printer still only prints blanks when hooked up to my Linux Mint desktop. When hooked into my MacBook it prints fine.

I then used the MacBook to install a firmware update (release 20180302), then tried printing on the Linux Mint desktop. Still prints blank pages on Linux Mint, but prints normally from MacBook.

I then re-ran hp-check and hp-setup with no changes in the situation.

Any other ideas?

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by mmcmonster » Mon Sep 17, 2018 6:09 am

Still not working.

Any ideas?

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by pdc_2 » Tue Sep 18, 2018 1:14 pm

what does

Code: Select all

lpinfo -v 
give please:

If you go to the PRINTERS folder; how many icons are there for this MFP?

For each, can you right-click; go to the MAKE & MODEL; please copy what is there and paste it back here

what does

Code: Select all

dpkg -l cups*
give please ........ if you copy this command and paste into the terminal

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by mmcmonster » Tue Sep 18, 2018 8:07 pm

Thanks so much for taking another stab at this with me.

Code: Select all

$ lpinfo -v 
network beh
file cups-pdf:/
network ipp14
network lpd
direct hp:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a
network https
network http
network ipp
network socket
direct usb://HP/LaserJet%20Professional%20M1217nfw%20MFP?serial=000000000T203MM0PR1a
network ipps
serial serial:/dev/ttyS0?baud=115200
network smb
direct parallel:/dev/lp0
direct hpfax:/usb/HP_LaserJet_Professional_M1217nfw_MFP?serial=000000000T203MM0PR1a

Code: Select all

$ dpkg -l cups*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                              Version               Architecture          Description
+++-=================================-=====================-=====================-========================================================================
ii  cups                              2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - PPD/driver support, web interface
ii  cups-browsed                      1.8.3-2ubuntu3.4      amd64                 OpenPrinting CUPS Filters - cups-browsed
ii  cups-bsd                          2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - BSD commands
ii  cups-client                       2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - client programs (SysV)
ii  cups-common                       2.1.3-4ubuntu0.5      all                   Common UNIX Printing System(tm) - common files
ii  cups-core-drivers                 2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - PPD-less printing
ii  cups-daemon                       2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - daemon
ii  cups-filters                      1.8.3-2ubuntu3.4      amd64                 OpenPrinting CUPS Filters - Main Package
ii  cups-filters-core-drivers         1.8.3-2ubuntu3.4      amd64                 OpenPrinting CUPS Filters - PPD-less printing
un  cups-filters-ippusbxd             <none>                <none>                (no description available)
ii  cups-pdf                          2.6.1-21              amd64                 PDF writer backend for CUPS (dummy transitional package)
ii  cups-pk-helper                    0.2.5-2ubuntu2        amd64                 PolicyKit helper to configure cups with fine-grained privileges
ii  cups-ppdc                         2.1.3-4ubuntu0.5      amd64                 Common UNIX Printing System(tm) - PPD manipulation utilities
ii  cups-server-common                2.1.3-4ubuntu0.5      all                   Common UNIX Printing System(tm) - server common files
un  cupsddk                           <none>                <none>                (no description available)
There is only a single Printer at this point. The Make and Model: "HP LaserJet Professional m1217nfw MFP, hpcups 3.16.3, requires proprietary plugin".

Is there anything wrong in what I have? It still just prints blank pages. When connected to a MacBook it prints fine. :?

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

Re: HP LaserJet M1217nfw MFP

Post by pdc_2 » Tue Sep 18, 2018 11:56 pm

you see ....... I find this interesting
HP LaserJet Professional m1217nfw MFP, hpcups 3.16.3, requires proprietary plugin
....... you thought you had put 3.18.7 in; but ......... my interpretation ........... is it is somehow using the 3.16.3 that comes with Mint 18

...... and I think it is NOT finding the plug-in either .............

so you only need 3.10 hplip; so what about ..

Code: Select all

sudo apt purge hplip
...... that should get rid of 3.18.7 and whatever bits of 3.16.3 are hiding under the mattress too ......

then open Synaptic ....... you know it ? ............ it allows you to add/subtract programmes ?

and then find the standard 3.16.3 hplip; install that;

then do

Code: Select all

hp-check
....... it may want you to do

Code: Select all

hp-plugin
then do

Code: Select all

hp-setup
and see if it will set up the printer for you

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks

Post by mmcmonster » Wed Sep 19, 2018 6:23 am

Thanks for helping find the problem!

I did "hp-uninstall" as well, to get rid of the 3.18.7 bits (since it wasn't installed via synaptic.

I then install hplip via synaptic.

Unfortunately, I think I may have borked that part of the system. :?

Code: Select all

 $ hp-check
Saving output in log file: /home/karthik/hp-check.log

HP Linux Imaging and Printing System (ver. 0.0.0)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

-Traceback (most recent call last):
  File "/usr/bin/hp-check", line 855, in <module>
    core.init()
  File "/usr/share/hplip/installer/core_install.py", line 463, in init
    self.distro_name = self.distros_index[self.distro]

Code: Select all

$ hp-setup
Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 45, in <module>
    from base import device, utils, tui, models, module, services, os_utils
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 49, in <module>
    import hpmudext
ImportError: /usr/lib/python3/dist-packages/hpmudext.cpython-35m-x86_64-linux-gnu.so: undefined symbol: hpmud_make_par_uri
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 145, in apport_excepthook
    os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0o640), 'wb') as f:
PermissionError: [Errno 13] Permission denied: '/var/crash/_usr_share_hplip_setup.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 45, in <module>
    from base import device, utils, tui, models, module, services, os_utils
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 49, in <module>
    import hpmudext
ImportError: /usr/lib/python3/dist-packages/hpmudext.cpython-35m-x86_64-linux-gnu.so: undefined symbol: hpmud_make_par_uri

mmcmonster
Level 1
Level 1
Posts: 14
Joined: Sat Feb 02, 2013 7:56 pm

Re: HP LaserJet M1217nfw MFP only prints blanks [Solved]

Post by mmcmonster » Sat Sep 22, 2018 9:44 pm

Just an update: this works for me.

I burnt a fresh ISO of the latest Linux Mint and installed it over the borked install. I then removed all the hidden ("." files) from my ~/ home directory and ran hp-setup. (I had to install the GUI version of hp-setup to get it to work.)

Works fine now without installing anything from the HP website.

Thanks for all the help troubleshooting. :D

pdc_2
Level 8
Level 8
Posts: 2411
Joined: Mon May 11, 2009 1:21 am

HP LaserJet M1217nfw MFP [Solved]

Post by pdc_2 » Sat Sep 22, 2018 10:43 pm

well done; sadly, this often seems to be the solution: start afresh and all is good the second time

Post Reply

Return to “Printers & Scanners”